[Rubygems-developers] [ rubygems-Bugs-27768 ] ruby -ws makes warnings about rubygems code

noreply at rubyforge.org noreply at rubyforge.org
Sat Feb 6 20:16:53 EST 2010


Bugs item #27768, was opened at 2010-02-02 12:05
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=27768&group_id=126

Category: other
Group: v1.3.x
>Status: Closed
>Resolution: Rejected
Priority: 3
Submitted By: Sergey Ukustov (ukstv)
>Assigned to: Eric Hodel (drbrain)
Summary: ruby -ws makes warnings about rubygems code

Initial Comment:
Applying -ws key to ruby leads to this warning:
/usr/lib/ruby/1.9.1/rubygems/version.rb:228: warning: character class has duplicated range: /[0-9a-z]+/

Ruby version: ruby 1.9.1p243 (2009-07-16 revision 24175) [x86_64-linux]
Rubygems version: 1.3.5

----------------------------------------------------------------------

>Comment By: Eric Hodel (drbrain)
Date: 2010-02-06 17:16

Message:
Looks like a bug in 1.9.1p243, 1.9.2dev doesn't print this warning, and there's no duplicated range in that regexp.

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=27768&group_id=126


More information about the Rubygems-developers mailing list